> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/deprecated-version-1.0/hair-curliness.md).

# Hair Curliness

Haut.AI provides an AI algorithm that estimates hair curliness. Response scheme for the deprecated Hair Metrics 1.0.

## **Description**

Hair type and texture are determined by genetics and environment. Hair texture can change with age. The oil glands in the scalp also shrink with age. How you treat and style your hair can change its texture. The most common hair type across the world is straight hair.

**`"algorithm_tech_name": "hair_curliness"`**

## `area_name`

The algorithm returns metrics for the following area:

* `hair`

## `main_metric`

The main metric indicates the hair curliness category for `area_name`

```javascript
"main_metric": {
                "value": "Straight",
                "widget_type": "category",
                "name": "Hair Curliness",
                "tech_name": "hair_curliness",
                "widget_meta": null
            },
```

![](https://245161714-files.gitbook.io/~/files/v0/b/gitbook-legacy-files/o/assets%2F-MWxBX_zB4FnflOpyBGO%2F-Mhm_aYjhhEuL8WeJTgC%2F-MhmaAH_i2gTJcIavkxo%2F%D0%94%D0%BE%D0%BA%D1%82%D0%BE%D1%80%202_6.jpeg?alt=media\&token=9e23a831-86bc-48c5-9e5e-33148dc9a5f5)

* **`value`** of hair curliness is divided into four classes, as listed below. Each category gets its own confidence level in the range of `[0,100]`, where the highest score indicates the hair curliness class:
  * `Straight`
  * `Wavy`
  * `Curly`
  * `Kinky`
* `"widget_type": "category"`
* `"name": "Hair Frizziness"`
* `"tech_name": "hair_frizziness"`

## `sub_metrics`

The algorithm returns two types of sub-metrics - `Curliness Confidence`,`Hair Curliness Score`.

```javascript
"sub_metrics": [
                {
                    "value": 87,
                    "widget_type": "density",
                    "name": "Curliness Confidence",
                    "tech_name": "curliness_confidence",
                    "widget_meta": null
                },
                {
                    "value": 10,
                    "widget_type": "density",
                    "name": "Hair Curliness Score",
                    "tech_name": "hair_curliness_score",
                    "widget_meta": null
                },
               ]
```

* **`Curliness Confidence`** evaluates curliness confidence level
  * **`value`** of the curliness confidence score ranges from `[0,100]`*. A higher score is associated with higher hair curliness*
  * `"widget_type": "density"`
  * `"name": "Curliness Confidence"`
  * `"tech_name": "curliness_confidence"`
* **`Hair Curliness Score`** evaluates curliness confidence level
  * **`value`** of the curliness confidence score ranges from `[0,100]`*. A higher score is associated with higher hair curliness*
  * `"widget_type": "numeric"`
  * `"name": "Curliness Confidence"`
  * `"tech_name": "curliness_confidence"`

## `masks_restored`

**None** **-** there are no restored masks for hair curliness

## `masks_original`

**None** **-** there are no original masks for hair curliness

## **Example (JSON)**

{% file src="/files/-MgFVGH9XkW1-j1LPnZ1" %}

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-hair-metrics-2.0/deprecated-version-1.0/hair-curliness.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
